Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.pmease.quickbuild.step
Class ParallelStepFacade

    java.lang.Object
      com.pmease.quickbuild.step.ParallelStepFacade

All Implemented Interfaces:
  java.io.Serializable

public class ParallelStepFacade
extends java.lang.Object
implements java.io.Serializable

Facade class for ParallelStep. A composite step to run included members simultaneously.

See Also:
  Serialized Form

Constructor Summary
`ParallelStepFacade()`

Method Summary
`java.util.List` | `getMembers()` When the containing step runs, it will trigger selected steps simultaneously, and wait for them to finish.
`java.lang.String` | `getName()` Provide a name for this step.
`java.lang.String` | `getStepNecessaryCondition()` OGNL: Determines if this step is necessary during the build process.
`java.lang.String` | `getStepSuccessCondition()` OGNL: An OGNL expression to determine whether or not this composite step is successful.
`void` | `setMembers(java.util.List members)`
`void` | `setName(java.lang.String name)`
`void` | `setStepNecessaryCondition(java.lang.String stepNecessaryCondition)`
`void` | `setStepSuccessCondition(java.lang.String stepSuccessCondition)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ParallelStepFacade

    public ParallelStepFacade()

Method Detail

### getMembers

    public java.util.List getMembers()

  When the containing step runs, it will trigger selected steps simultaneously, and wait for them to finish.

### setMembers

    public void setMembers(java.util.List members)

### getStepSuccessCondition

    public java.lang.String getStepSuccessCondition()

  OGNL: An OGNL expression to determine whether or not this composite step is successful.

### setStepSuccessCondition

    public void setStepSuccessCondition(java.lang.String stepSuccessCondition)

### getStepNecessaryCondition

    public java.lang.String getStepNecessaryCondition()

  OGNL: Determines if this step is necessary during the build process. It is an OGNL expression with current configuration as its root object.

### setStepNecessaryCondition

    public void setStepNecessaryCondition(java.lang.String stepNecessaryCondition)

### getName

    public java.lang.String getName()

  Provide a name for this step.

### setName

    public void setName(java.lang.String name)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 PMEase Inc. All Rights Reserved.